# -*- coding: utf-8 -*-

# Copyright 2010 Markus Peloquin <markus@cs.wisc.edu>,
# Lena Olson <lena@cs.wisc.edu>
#
# You can't do anything with this but read and execute it privately.  If you
# want to do more, ask us if we'd be willing to make a more permissive
# license.

from google.appengine.api import memcache
from google.appengine.ext import db
from datastore import Task

DELETE_LIMIT = 500

def delete_results(q):
	while True:
		ents = q.fetch(DELETE_LIMIT)
		if not ents: break
		db.delete(ents)

query = db.GqlQuery('SELECT __key__ FROM Task')
delete_results(query)

query = db.GqlQuery('SELECT __key__ FROM Job')
delete_results(query)

memcache.flush_all()
