# Copyright 2010 Markus Peloquin <markus@cs.wisc.edu>,
# Lena Olson <lena@cs.wisc.edu>
#
# You can't do anything with this but read  and execute it privately.  If you
# want to do more, ask us if we'd be willing to make a more permissive
# license.

import time

from google.appengine.ext import db

import datastore

# remove stale jobs (older than 1 hour)
now = int(time.time())
limit = now - 3600
query = db.GqlQuery('SELECT * FROM Job WHERE timestamp < :1',
    limit)
for ent in query:
	# remove all tasks
	datastore.clear_tasks(ent.crc)
